import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { IRhzTab } from '../models/rhz-tab.interface';
export declare class RhzTabSelectorComponent implements OnChanges, AfterViewInit {
    private _cdr;
    activeTab: string;
    tabs: IRhzTab[];
    hasBackground: boolean;
    size: 'default' | 'small';
    onChangeTab: EventEmitter<string>;
    constructor(_cdr: ChangeDetectorRef);
    private get _hostClasses();
    private _onWindowResize;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    doChangeTab(selector: string): void;
    scrollLeft(element: HTMLDivElement, direction: 'left' | 'right'): void;
}
